Skip to main content
GET
List the changes of a request

Authorizations

X-API-KEY
string
header
required

Path Parameters

id
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12})$

Response

Successful response

id
integer
required
Required range: -9007199254740991 <= x <= 9007199254740991
revision
integer | null
required

The revision the request gets when this change is applied. Null while the change is pending, declined or withdrawn.

Required range: -9007199254740991 <= x <= 9007199254740991
kind
enum<string>
required
Available options:
reason,
shortened,
extended,
moved,
leave_type
status
enum<string>
required

pending waits for approvers, applied is in force, declined and withdrawn never changed the request.

Available options:
pending,
approved,
declined,
withdrawn,
applied
previous
object
required

The request as it was before this change.

proposed
object
required

The request as this change wants it. Only for applied changes is this what is in force.

changed_by
object | null
required
decided_by
object | null
required
created_at
string
required
decided_at
string | null
required
decision_reason
string | null
required